"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libwidg2' }"

LibraryDefinition subclass:#stx_libwidg2
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!

!stx_libwidg2 class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Build-Information for creation of the st/x standard library: stx_libwidg2.
    This library contains additional gui components (widgets).
"
! !

!stx_libwidg2 class methodsFor:'description'!

additionalClassNamesAndAttributes
    ^ #(
        "/ <className> or (<className> attributes...)
        'LicenceBox'
    )

    "Created: / 21-08-2006 / 19:52:03 / cg"
!

excludedFromPreRequisites
    ^ #(
        #'stx:clients/Demos'    "CodingExamples_GUI::GUIDemoNoteBook - referenced by TabItem class>>test "
        #'stx:goodies'    "IdentityDictionaryWithDefault - referenced by GridBagLayoutInfo>>initialize "
        #'stx:goodies/postscript'    "PSGraphicsContext - referenced by ImageEditView>>printWithMagnification: "
        #'stx:libtool'    "FileBrowser - referenced by HierarchicalFileList::Directory>>icon "
        #'stx:libtool2'    "ImageEditor - referenced by ImageEditView class>>classResources "
        #'stx:libwidg3'    "ClockView - referenced by TabItem class>>test "
        #'stx:goodies/refactoryBrowser/parser'    "RBParser - referenced by DoWhatIMeanSupport class>>findNodeForInterval:in: "
        #'stx:libcomp'    "Parser - referenced by DoWhatIMeanSupport class>>codeCompletionForMessage:inClass:codeView: "
        #'stx:libhtml'    "HTMLDocumentView - referenced by LicenceBox>>initialize "
    )
!

extensionMethodNames
    ^ #(
    )
!

preRequisites
    ^ #(
        #'stx:libbasic'    "Object - superclass of ColorMenu "
        #'stx:libbasic2'    "List - superclass of HierarchicalFileList "
        #'stx:libui'    "DataSetColumnSpec - referenced by DSVColumnView>>setColumnDescriptors: "
        #'stx:libview'    "GraphicsMedium - superclass of ImageView "
        #'stx:libview2'    "Model - superclass of TabItem "
        #'stx:libwidg'    "DialogBox - superclass of EnterBoxWithList "
    )
! !

!stx_libwidg2 class methodsFor:'description - compilation'!

additionalBaseAddressDefinition_bc_dot_mak
    "this is an optional definition, which (if present) may speed up the dll-loading a little
     on win32 systems."

    ^ '
# see stdHeader_bc for LIBWIDG2_BASE
LIB_BASE=$(LIBWIDG2_BASE)
'
! !

!stx_libwidg2 class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
        "<className> or (<className> attributes...) in load order"
        CharacterSetView
        CheckBox
        ColorMenu
        (ColoredListEntry autoload)
        ComboBoxButton
        ComboBoxView
        (ComboBrowseView autoload)
        ComboListView
        (ComboUpDownView autoload)
        ComboView
        DSVColumnView
        DSVLabelView
        DataSetColumn
        DataSetLabel
        DataSetView
        DoWhatIMeanSupport
        EnterBoxWithList
        ExtendedComboBox
        FileSelectionItem
        FileSelectionTree
        FilenameComboBoxView
        FilenameEditField
        FilenameEnterBox
        FontMenu
        (GraphColumn autoload)
        (GraphColumnView autoload)
        (GraphColumnView2D autoload)
        (GraphColumnView2DSpec autoload)
        (GraphColumnView3D autoload)
        (GraphColumnView3DSpec autoload)
        (GraphColumnViewSpec autoload)
        GridBagConstraints
        GridBagLayoutInfo
        GridBagLayoutView
        HierarchicalFileList
        HierarchicalItem
        HierarchicalItemWithLabel
        HierarchicalItemWithLabelAndIcon
        HierarchicalItemWithLabelAndIconAndValue
        HierarchicalList
        HierarchicalListView
        HierarchyNode
        (HorizontalScale autoload)
        HorizontalSlider
        HorizontalSteppingSlider
        ImageEditView
        (ImageSelectionBox autoload)
        ImageView
        LabelAndIcon
        LabelledEnterField
        (ListEditor autoload)
        ListEntry
        ListModelView
        (MenuButton autoload)
        MenuPanel
        ModelListEntry
        (MotionButton autoload)
        MultiColListEntry
        MultipleItemSelectionWidget
        (NoteBookFrameView autoload)
        NoteBookView
        (ParagraphSpecification autoload)
        PrintAbortDialog
        PrintingDialog
        ProgressIndicator
        (RoundButton autoload)
        (Ruler autoload)
        (Scale autoload)
        SelectionInHierarchy
        (SelectionInHierarchyView autoload)
        SelectionInListModelView
        SelectionInTree
        SelectionInTreeView
        Separator
        Slider
        SteppingSlider
        (StrokeView autoload)
        SubCanvas
        SyncedMultiColumnTextView
        (TabControl autoload)
        TabItem
        TabSpecRuler
        TabView
        TabWidget
        TabulatorSpecification
        (TerminalView autoload)
        TextBox
        (TextRuler autoload)
        ThreeColumnTextView
        TreeItem
        TreeItemWithImage
        TwoColumnTextView
        UpDownButton
        VT100TerminalView
        (VT52TerminalView autoload)
        (VerticalRuler autoload)
        ViewScroller
        #'stx_libwidg2'
        FilenameWidgetWithHistory
        HierarchicalDropTargetController
        ProgressNotification 
        LinkButton
        LinkButtonController
        LabelAndTwoIcons
        AssistantApplication
        FilenameWidgetWithoutHistory
    )

    "Modified: / 05-02-2011 / 12:59:02 / cg"
! !

!stx_libwidg2 class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Additional Widgets'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2011\nCopyright eXept Software AG 1998-2011'

    "Modified: / 01-02-2011 / 11:56:39 / cg"
! !

!stx_libwidg2 class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libwidg2/stx_libwidg2.st,v 1.40 2011-02-05 12:00:12 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libwidg2/stx_libwidg2.st,v 1.40 2011-02-05 12:00:12 cg Exp $'
! !
